﻿
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}



<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>



<div id="content" class="content">
    <div class="section-with-top-border">
        <div class="row">
            <div class="col-md-4">
                <h4>Role Segment</h4>
            </div>
            <div class="col-md-8 text-right" style="padding-right:35px">
                <a href="~/Role/CreateRoles" class="btn btn-default btn-rounded width-200">Add New User Role</a>
            </div>
        </div>
        <!-- begin panel -->
        <div class="panel pagination-inverse m-b-0 clearfix">

            <table id="data-table" data-order='[[0,"asc"]]' class="table table-bordered table-hover">
                <thead>
                    <tr class="inverse">
                        <th>Role Name</th>
                        <th style="pointer-events: none !important;">Action</th>
                    </tr>
                </thead>
                <tbody></tbody>


            </table>
        </div>
        <!-- end panel -->
    </div>
    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
</div>

<script>
    $(document).ready(function () {
        $("#data-table").DataTable({
            "processing": true,
            "serverSide": true,
            "filter": true,
            "orderMulti": false,
            "ajax": {
                "url": "/Role/LoadData",
                "type": "POST",
                "datatype": "json",
            },

            "columns": [
                { "data": "userRoleName", "name": "userRoleName" },
                {
                    render: function (data, type, full, meta) { return '<a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" title="Edit" href="/Role/Edit/' + full.id + '?roleName=' + full.userRoleName + '"><i class="fas fa-edit"></i></a> <a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" title="Delete" href="/Role/Delete/' + full.id + '?roleName=' + full.userRoleName + '"><i class="far fa-trash-alt"></i></a>'; }
                },
            ]
        });
    });
</script>
